Bug 2075 - rpc_server/srv_srvsvc_nt.c: 'len_net_name' possible dead code
rpc_server/srv_srvsvc_nt.c: 'len_net_name' possible dead code
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.8
SGI IRIX
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 08:02 UTC by Jason Mader
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2004-11-22 08:02:43 UTC
cc-1552 cc: WARNING File = rpc_server/srv_srvsvc_nt.c, Line = 359
  The variable "len_net_name" is set but never used.

        int len_net_name;
            ^

cc-1552 cc: WARNING File = rpc_server/srv_srvsvc_nt.c, Line = 378
  The variable "len_net_name" is set but never used.

        int len_net_name;
            ^


In both functions that these warnings appear, init_srv_share_info_501 & init_srv_share_info_502,
        len_net_name = strlen(net_name);

len_net_name is set but it is never used.  I can't find any use to it computing the string lenth.  It may 
just be dead code.
Comment 1 Jeremy Allison 2004-11-23 16:10:06 UTC
Keep beating on us with the SGI compiler please :-). It's very good at finding
these things (dead code).
Fixed in SVN - thanks a lot !
Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:21:10 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.